Name:       lsscsi
Version:    0.32
Release:    2
Summary:    The lsscsi command lists information about SCSI devices in Linux.
License:    GPLv2+
URL:        http://sg.danny.cz/scsi/lsscsi.html
Source0:    http://sg.danny.cz/scsi/%{name}-%{version}.tgz

Patch1: 0001-Fix-lsscsi-wwn-number-output-error.patch

BuildRequires: gcc

%description
Using SCSI terminology, lsscsi lists SCSI logical units (or SCSI targets
when the '--transport' option is given). The default action is to produce
one line of output for each SCSI device currently attached to the system.
In version 0.30 of this utility, support was added to list NVMe namespaces
(under SCSI devices(LUs)) and NVMe controllers (under SCSI hosts).

%package help
Summary:    Documents for %{name}
Buildarch:  noarch
Requires:   man info

%description help
Man pages and other related documents for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc ChangeLog INSTALL README CREDITS AUTHORS
%license COPYING
%{_bindir}/%{name}

%files help
%{_mandir}/man8/%{name}.8*


%changelog
* Tue Nov 1 2022 Wenchao Hao <haowenchao@huawei.com> - 0.32-2
- Remove macros in changelog

* Thu Nov 18 2021 Wenchao Hao <haowenchao@huawei.com> - 0.32-1
- Update to lsscsi-0.32

* Mon Aug 2 2021 Wenchao Hao <haowenchao@huawei.com> - 0.30-4
- DESC: fix incorrect output of wwn number when execute "lsscsi -w"

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 0.30-3
- DESC: delete -Sgit from autosetup, and delete BuildRequires git

* Thu Aug 29 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.30-2
- Package init
